Overview | Namespace | Component | Index | Help
| BEA WebLogic Server 9.0 NetUI Controls Schema Reference
DETAILS: DOCUMENTATION | ELEMENTS | ATTRIBUTES | SOURCE | FRAMES | NO FRAMES

## http://www.bea.com/servers/netuix/xsd/controls/netuix/1.0.0
complexType portletInstanceType

Super Types

    {http://www.w3.org/2001/XMLSchema}anyType
      |
      +--{http://www.bea.com/servers/netuix/xsd/controls/netuix/1.0.0}uiControlType (restriction)
           |
           +--{http://www.bea.com/servers/netuix/xsd/controls/netuix/1.0.0}netuixControlType (extension)
                |
                +--{http://www.bea.com/servers/netuix/xsd/controls/netuix/1.0.0}portletInstanceType (extension)

Properties
  This component is not nillable.

Model
  `<...
  contentUri = xs:string
  defaultMinimized = xs:boolean
  id = xs:string
  instanceId = xs:string
  instanceLabel = xs:string
  markupType = xs:string
  orientation = xs:string
  title = titleType>
  (preference*, filterEvent* )
  </...>`

Nested Element Summary
`filterEventType` | `filterEvent`
`preferenceType` | `preference`

Attribute Summary
`xs:string` | `contentUri`
`xs:boolean` | `defaultMinimized`
`xs:string` | `id`
`xs:string` | `instanceId`
`xs:string` | `instanceLabel`
`xs:string` | `markupType`
`xs:string` | `orientation`
`titleType` | `title`

Attribute Detail

### contentUri

Type:
  `xs:string`

Use:
  `optional`

Form:
  `unqualified`

### defaultMinimized

Type:
  `xs:boolean`

Use:
  `optional`

Form:
  `unqualified`

### id

Type:
  `xs:string`

Use:
  `optional`

Form:
  `unqualified`

### instanceId

Type:
  `xs:string`

Use:
  `optional`

Form:
  `unqualified`

### instanceLabel

Type:
  based on ``
  with :

Use:
  `required`

Form:
  `unqualified`

### markupType

Type:
  based on ``
  with :

Use:
  `required`

Form:
  `unqualified`

### orientation

Type:
  `xs:string`

Use:
  `optional`

Form:
  `unqualified`

### title

Type:
  `titleType`

Use:
  `optional`

Form:
  `unqualified`

Source

      <xs:complexType name="portletInstanceType">
        <xs:complexContent>
          <xs:extension base="netuixControlType">
            <xs:sequence>
              <xs:element maxOccurs="unbounded" minOccurs="0" name="preference" type="preferenceType"/>
              <xs:element maxOccurs="unbounded" minOccurs="0" name="filterEvent" type="filterEventType"/>
            </xs:sequence>
            <xs:attribute name="contentUri" type="xs:string"/>
            <xs:attribute name="instanceId" type="xs:string"/>
            <xs:attribute name="instanceLabel" use="required">
              <xs:simpleType>
                <xs:restriction base="xs:string">
                  <xs:pattern value="(\p{L}|_|\$)(\p{L}|_|\$|\p{Nd})*"/>
                </xs:restriction>
              </xs:simpleType>
            </xs:attribute>
            <xs:attribute name="title" type="titleType"/>
            <xs:attribute name="orientation" type="xs:string"/>
            <xs:attribute name="defaultMinimized" type="xs:boolean"/>
            <xs:attribute name="markupType" use="required">
              <xs:simpleType>
                <xs:restriction base="xs:string">
                  <xs:enumeration value="Portlet"/>
                </xs:restriction>
              </xs:simpleType>
            </xs:attribute>
          </xs:extension>
        </xs:complexContent>
      </xs:complexType>

Overview | Namespace | Component | Index | Help
| BEA WebLogic Server 9.0 NetUI Controls Schema Reference
DETAILS: DOCUMENTATION | ELEMENTS | ATTRIBUTES | SOURCE | FRAMES | NO FRAMES

Copyright 2005 BEA Systems Inc. Complete WebLogic Server Documentation